Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# PotentialfieldTransformation Class Reference

Abstract class, describing a transformation. More...

`#include <Actionfield.h>`

Inheritance diagram for PotentialfieldTransformation:

[legend]
List of all members.

## Public Member Functions
virtual | ~PotentialfieldTransformation ()
| Destructor.
virtual TransformationType | getType ()=0
| Returns the type of the transformation.
virtual PotentialfieldTransformation * | copy ()=0
| Returns a pointer to a copy of the object.
## Public Attributes
double | probability
| The probability of a transformation.
double | time
| The time a transformation takes.

## Detailed Description

Abstract class, describing a transformation.

Definition at line 239 of file Actionfield.h.

## Constructor & Destructor Documentation

virtual PotentialfieldTransformation::~PotentialfieldTransformation | ( |  | ) | `[inline, virtual]`

| Destructor. Definition at line 248 of file Actionfield.h.

## Member Function Documentation

virtual TransformationType PotentialfieldTransformation::getType | ( |  | ) | `[pure virtual]`

| Returns the type of the transformation. Returns: The type Implemented in Translation, Rotation, and NoTransformation. Referenced by FutureWorldModelGenerator::executeSingleTransformation().

virtual PotentialfieldTransformation* PotentialfieldTransformation::copy | ( |  | ) | `[pure virtual]`

| Returns a pointer to a copy of the object. Returns: A pointer to a copy Implemented in Translation, Rotation, and NoTransformation.

## Member Data Documentation

double PotentialfieldTransformation::probability

| The probability of a transformation. Definition at line 243 of file Actionfield.h. Referenced by NoTransformation::copy(), Rotation::copy(), Translation::copy(), and Parser::parseAction().

double PotentialfieldTransformation::time

| The time a transformation takes. Definition at line 245 of file Actionfield.h. Referenced by NoTransformation::copy(), Rotation::copy(), Translation::copy(), FutureWorldModelGenerator::executeSingleTransformation(), Parser::parseAction(), and Parser::parseTransformation().

The documentation for this class was generated from the following file:

- Tools/PotentialFields/Actionfield.h